## GladePreviewer GladePreviewer |

## Functions

void | glade_previewer_connect_function ()
GObject * | glade_previewer_new ()
void | glade_previewer_present ()
void | glade_previewer_screenshot ()
void | glade_previewer_set_css_file ()
void | glade_previewer_set_message ()
void | glade_previewer_set_print_handlers ()
void | glade_previewer_set_screenshot_extension ()
void | glade_previewer_set_slideshow_widgets ()
void | glade_previewer_set_widget ()
void | glade_previewer_slideshow_save ()

## Types and Values

struct | GladePreviewer

## Description

## Functions

### glade_previewer_connect_function ()

    void
    glade_previewer_connect_function (GtkBuilder *builder,
                                      GObject *object,
                                      const gchar *signal_name,
                                      const gchar *handler_name,
                                      GObject *connect_object,
                                      GConnectFlags flags,
                                      gpointer window);

Function that collects every signal handler in `builder` and shows them in `window` info bar when the callback is activated

#### Parameters

builder | a GtkBuilder |
object | the GObject triggering the signal |
signal_name | the name of the signal |
handler_name | the name of the c function handling the signal |
connect_object | the user_data GObject to connect |
flags | GConnectFlags used in the connection |
window | a GladePreviewer |

### glade_previewer_new ()

    GObject *
    glade_previewer_new (void);

### glade_previewer_present ()

    void
    glade_previewer_present (GladePreviewer *preview);

### glade_previewer_screenshot ()

    void
    glade_previewer_screenshot (GladePreviewer *preview,
                                gboolean wait,
                                const gchar *filename);

Takes a screenshot of the current widget `window` is showing and save it to `filename` Supported extension are svg, ps, pdf and wahtever gdk-pixbuf supports

#### Parameters

preview | A GladePreviewer |
wait | True if it should wait for widget to draw. |
filename | a filename to save the image. |

### glade_previewer_set_css_file ()

    void
    glade_previewer_set_css_file (GladePreviewer *preview,
                                  const gchar *css_file);

### glade_previewer_set_message ()

    void
    glade_previewer_set_message (GladePreviewer *preview,
                                 GtkMessageType type,
                                 const gchar *message);

### glade_previewer_set_print_handlers ()

    void
    glade_previewer_set_print_handlers (GladePreviewer *preview,
                                        gboolean print);

Set whether to print handlers when they are activated or not. It only works if you use `glade_previewer_connect_function()` as the connect function.

#### Parameters

preview | A GladePreviewer |
print | whether to print handlers or not |

### glade_previewer_set_screenshot_extension ()

    void
    glade_previewer_set_screenshot_extension
                                   (GladePreviewer *preview,
                                    const gchar *extension);

### glade_previewer_set_slideshow_widgets ()

    void
    glade_previewer_set_slideshow_widgets (GladePreviewer *preview,
                                           GSList *objects);

Add a list of objects to slideshow

#### Parameters

preview | A GladePreviewer |
objects | GSlist of GObject |

### glade_previewer_set_widget ()

    void
    glade_previewer_set_widget (GladePreviewer *preview,
                                GtkWidget *widget);

### glade_previewer_slideshow_save ()

    void
    glade_previewer_slideshow_save (GladePreviewer *preview,
                                    const gchar *filename);

Takes a screenshot of every widget GtkStack children and save it to `filename` each in a different page

#### Parameters

preview | A GladePreviewer |
filename | a filename to save the slideshow. |

## Types and Values

### struct GladePreviewer

    struct GladePreviewer {
      GObject parent_instance;

      GladePreviewerPrivate *priv;

    };